import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
import { AlertDefinition } from '../../../AdaptableState/AlertState';
export interface AlertSelectQueryWizardProps extends AdaptableWizardStepProps<AlertDefinition> {
}
export interface AlertSelectQueryWizardState {
    HasExpression: boolean;
}
export declare class AlertSelectQueryWizard extends React.Component<AlertSelectQueryWizardProps, AlertSelectQueryWizardState> implements AdaptableWizardStep {
    constructor(props: AlertSelectQueryWizardProps);
    render(): any;
    private onOtherExpressionOptionChanged;
    canNext(): boolean;
    canBack(): boolean;
    next(): void;
    back(): void;
    getIndexStepIncrement(): 1 | 2;
    getIndexStepDecrement(): number;
}
